<!DOCTYPE HTML>
<html xmlns:th="http://www.thymeleaf.org">

<head>
	<title th:text="${applicationName}"></title>
	<meta http-equiv="Content-Type" content="text/html; charset=UTF-8" />
	<link rel='shortcut icon' type='image/x-icon' href='favicon.ico' />
	<link rel="stylesheet" href="css/dashboard.css" />
	<script>
		function get(url, display) {
			var xhttp = new XMLHttpRequest();
			xhttp.open("GET", url, false);
			xhttp.setRequestHeader("Content-type", "application/json");
			xhttp.send();
			var response = JSON.parse(xhttp.responseText);
			if (display) alert("URL=" + url + "\nReturn=" + xhttp.responseText);
			location.reload();
		}
	</script>
</head>

<body>
	<div class="header">
		<p><a href="http://www.dlcm.ch" target="blank"><img src="DLCM.svg" alt="DLCM" title="DLCM" width="500" /></a>
		<p><i th:text="${applicationVersion}"></i>
	</div>
	<table>
		<tr>
			<th>Module</th>
			<th>Link</th>
		</tr>
		<tr th:each="module : ${modules}">
			<td th:text="${module.getName()}" align="center"></td>
			<td align="center"><a
					th:text="${#strings.replace(#httpServletRequest.getRequestURL(),'dashboard','')}+@{${module.getRoot()}}"
					th:href="@{'/'+${module.getRoot()}}"></a></td>
		</tr>
	</table>
	&nbsp;
	<table>
		<tr>
			<th colspan="2" align="center">Application</th>
		</tr>
		<tr>
			<td align="center"><a href="health" target="blank">Status</a></td>
			<td align="center"><a href="info" target="blank">Info</a></td>
		</tr>
		<tr>
			<td align="center"><a href="metrics" target="blank">Metrics</a></td>
			<td align="center"><a href="logfile" target="blank">Log File</a></td>
		</tr>
		<tr>
			<td align="center"><a href="api-docs" target="blank">API Docs</a></td>
			<td align="center"><a href="swagger-ui.html" target="blank">Swagger UI</a></td>
		</tr>
	</table>
	&nbsp;
	<table>
		<tr>
			<th colspan="2" align="center">Documentation</th>
		</tr>
		<tr>
			<td align="center">DLCM Integration Guide</td>
			<td align="center"><a href="docs/DLCM-IntegrationGuide.html" target="blank">HTML</a>&nbsp;<a
					href="docs/DLCM-IntegrationGuide.pdf" target="blank">PDF</a></td>
		</tr>
		<tr>
			<td align="center">DLCM Tools</td>
			<td align="center"><a th:href="@{'docs/packages/DLCM-Tools-'+${applicationVersion}+'.jar'}"
					target="blank">JAR</a>&nbsp;<a href="docs/DLCM-ToolsGuide.html" target="blank">HTML</a>&nbsp;<a
					href="docs/DLCM-ToolsGuide.pdf" target="blank">PDF</a></td>
			</td>
		</tr>
		<tr>
			<td align="center">DLCM API</td>
			<td align="center"><a href="swagger-ui.html" target="blank">HTML</a></td>
		</tr>
		<tr>
			<td align="center" rowspan="3">DLCM API OpenAPI Specifications</td>
			<td align="center"><a href="docs/openapi/dlcm-openapi-3.1.json" target="blank">OpenAPI v3.1</a></td>
		</tr>
		<tr>
			<td align="center"><a href="docs/openapi/dlcm-openapi-3.0.json" target="blank">OpenAPI v3.0</a></td>
		</tr>
		<tr>
			<td align="center">
				<p><i>OpenAPI 3.0 by module</i></p>
				<p>
					<a href="docs/openapi/dlcm-openapi-3.0-access.json" target="blank">Access</a>
					<a href="docs/openapi/dlcm-openapi-3.0-admin.json" target="blank">Admin</a>
					<a href="docs/openapi/dlcm-openapi-3.0-archival-storage.json" target="blank">Archival Storage</a>
					<a href="docs/openapi/dlcm-openapi-3.0-data-mgmt.json" target="blank">Data Management</a>
				</p>
				<p>
					<a href="docs/openapi/dlcm-openapi-3.0-ingest.json" target="blank">Ingest</a>
					<a href="docs/openapi/dlcm-openapi-3.0-preingest.json" target="blank">Preingest</a>
					<a href="docs/openapi/dlcm-openapi-3.0-preservation-planning.json" target="blank">Preservation
						Planning</a>
				</p>
			</td>
		</tr>
	</table>
</body>

</html>